gtksourceviewmm 3.91.1

Public Types | Public Member Functions | List of all members
Gsv::SourceCompletionError Class Reference

`#include <gtksourceviewmm/completion.h>`

Inherits Glib::Error.

## Public Types
enum | Code { ALREADY_BOUND , NOT_BOUND }
| An error code used with Gtk::SOURCE_COMPLETION_ERROR in a Error returned from a completion-related function. More...

## Public Member Functions
| SourceCompletionError (Code error_code, const Glib::ustring& error_message)
| SourceCompletionError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

## ◆ Code

enum Gsv::SourceCompletionError::Code

An error code used with Gtk::SOURCE_COMPLETION_ERROR in a Error returned from a completion-related function.

Enumerator
ALREADY_BOUND | The Gtk::SourceCompletionProvider is already bound to the Gtk::SourceCompletion object.
NOT_BOUND | The Gtk::SourceCompletionProvider is not bound to the Gtk::SourceCompletion object.

## Constructor & Destructor Documentation

## ◆ SourceCompletionError() [1/2]

Gsv::SourceCompletionError::SourceCompletionError | ( | Code | error_code,
|  | const Glib::ustring & | error_message )

## ◆ SourceCompletionError() [2/2]

Gsv::SourceCompletionError::SourceCompletionError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gsv::SourceCompletionError::code | ( |  | ) | const